# SourcePath: lighttpd/20191126dev
Summary: a secure, fast, compliant and very flexible web-server
Name: sony-target-dev-lighttpd
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-lighttpd
Version: 1.4.50
Release: 12000003
Source: lighttpd-%{version}.tar.gz
Source1: modules.conf
Source2: access_log.conf
Source3: debug.conf
Source4: dirlisting.conf
Source5: mime.conf
Source6: websocket.conf
Patch1: lighttpd-1.4.50-CVE-2019-11072.patch
URL: http://www.lighttpd.net/
License: BSD
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-pcre
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
lighttpd a secure, fast, compliant and very flexible web-server
which has been optimized for high-performance environments. It has a very
low memory footprint compared to other webservers and takes care of cpu-load.
Its advanced feature-set (FastCGI, CGI, Auth, Output-Compression,
URL-Rewriting and many more) make lighttpd the perfect webserver-software
for every server that is suffering load problems.

%package -n %{pkgname}
Summary: a secure, fast, compliant and very flexible web-server
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
lighttpd a secure, fast, compliant and very flexible web-server
which has been optimized for high-performance environments. It has a very
low memory footprint compared to other webservers and takes care of cpu-load.
Its advanced feature-set (FastCGI, CGI, Auth, Output-Compression,
URL-Rewriting and many more) make lighttpd the perfect webserver-software
for every server that is suffering load problems.

%prep
%setup -n lighttpd-%{version} -q
%patch1 -p1

%build
%sony_target_dev_setup
autoreconf -fi
export ac_cv_path_PCRECONFIG=%{sony_target_dir}%{sony_target_devtool_bin_dir}//pcre-config
%sony_target_dev_configure  \
	--without-bzip2 \
	--without-mysql \
	--with-openssl \
	--enable-shared
make


%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd
install -m 644 ../doc/config/lighttpd.conf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/lighttpd
chmod 777 ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/lighttpd

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d

%demangle_libtool


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/lighttpd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/lighttpd-angel

%{sony_target_dir}%{sony_target_dev_lib_dir}/mod*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/mod*.so

%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/lighttpd.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/modules.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d/access_log.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d/debug.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d/dirlisting.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d/mime.conf
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lighttpd/conf.d/websocket.conf

%attr(0777,root,root) %dir %{sony_target_dir}%{sony_target_dev_localstate_dir}/log/lighttpd


%changelog
* Tue Nov 22 2019 Sony Corporation
- Added Patch for CVE-2019-11072

* Mon Jul 29 2019 Sony Corporation
- Rebuilded for openssl version-up

* Tue Sep 18 2018 Sony Corporation
- Version update to 1.4.50

* Wed Oct 25 2017 Sony Corporation
- Added patch to fix SEGV issue in lighttpd

* Thu Sep 21 2017 Sony Corporation
- Added tunning patch to fix data loss during big file transfer

* Wed May 24 2017 Sony Corporation
- Added tunning patches to verify the lighttpd for BU requirements

* Wed Jan 18 2017 Sony Corporation
- Version update to 1.4.36

* Thu Feb 11 2016 Sony Corporation
- Added default configuration files

* Mon Apr 01 2013 Sony Corporation 
- Version update to 1.4.32 

* Mon Jan 02 2012 Sony Corporation 
- Version update to 1.4.30 

* Fri Mar 26 2010 Sony Corporation
- Initial build.
